TUTORIAL - How To Install System Menu v4.0!

Discussion in 'Wii - Hacking' started by TiMeBoMb4u2, Mar 27, 2009.

  1. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    After reading MULTIPLE threads here, I've decided to create an easy-to-follow, step-by-step guide to updating to System Menu v4.0.

    This tutorial uses Waninkoko's "cIOS36 rev.8" and "Firmware Updater 4.0", to guide you through the installation of patched System Menu v4.0 files. Only the required IOS's, Shop Channel, Mii Channel, Photo Channel 1.1, and System Menu 4.0 are installed. The IOS's are Trucha-Patched.

    To make the process even easier, I have provided download links, to easy-to-use Homebrew Channel apps.

    **UPDATE** -- My tutorial has now been updated to include "ppc_gba's" IOS60 Patcher.

    Visit the tutorial HERE.



    Enjoy!
    [​IMG]
     


  2. Praxis

    Praxis GBAtemp Regular

    Member
    107
    3
    Mar 26, 2009
    United States
    I'm curious what advantages using Waninkoko's Firmware Updater offers?

    I installed cIOS36 rev. 8, IOS60, and then updated through Nintendo, everything seems fine so far.
     
  3. JJBro1

    JJBro1 GBAtemp Advanced Fan

    Member
    849
    0
    Jan 20, 2008
    United States
    does EVERYTHING prior to 4.0 work when doing this method?
     
  4. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    The IOS's have the Trucha bug "fixed", when using Waninkoko's installer. Your way does not.

    [​IMG]
     
  5. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    No; The Twilight Hack is completely removed (with no current way to re-add it), cIOSCORP, Preloader, etc... will not work, YET (This is the same, no matter how you update!).

    The Homebrew Channel, Apps, and previously installed WADs will remain intact!


    [​IMG]
     
  6. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    I thought I should mention that there are several rumors going around that emulators and WADManager are not working after the update to v4.0. This is ONLY A RUMOR!

    I tested them myself, and they are DEFINITELY WORKING!


    [​IMG]
     
  7. SpaceJump

    SpaceJump Where's my new 2D-Metroid?

    Member
    3,668
    213
    Aug 18, 2005
    Gambia, The
    Zebes
    Is there anything we have to do differently if we have a modchip such as Wiikey? Or is the process the same?
     
  8. Nottulys

    Nottulys GBAtemp Fan

    Member
    491
    0
    Jan 22, 2008
    United States
    HDCA
    Thanks. I'm wondering though, How would I know already if I have the cIOS36/IOS249 rev.7 or rev. 8 installed? I have installed some CIOS something to get the Gamma .02 fix working, would this allow me to skip straight to "step 8" in your tutorial?
     
  9. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    You should be fine. However, it won't hurt your system to run it again. So, if you're not sure, I would run it!


    [​IMG]
     
  10. Nottulys

    Nottulys GBAtemp Fan

    Member
    491
    0
    Jan 22, 2008
    United States
    HDCA
    Alright thanks again....I'm still hesitant on upgrading though.
     
  11. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    LOL... I felt the same way. So far, I've run into NO complications!


    [​IMG]
     
  12. mayhem366

    mayhem366 GBAtemp Regular

    Member
    181
    0
    Nov 24, 2008
    UK
    So let me get this striaght, by upgrading to this version the following does not work:
    Twilight hack
    Preloader/Starfall etc

    But the backup loaders (gamma and gamecube), the homebrew channel and all homebrew still work right?

    With no preloader then any brick after this will be a permanent brick i presume?
     
  13. Harry Potthead

    Harry Potthead GBAtemp Regular

    Member
    122
    0
    Jun 9, 2007
    Gambia, The
    Hi TiMeBoMb4u2!

    I have a Wii with Wiikey and FW 3.2E. I have installed no cIOS or IOS in my Wii. If I update my Wii with FW 4.0 with your tutorial, do I need IOS60 ??? So I must install
    IOS60 -> cIOS36 rev.8 -> FW 4.0 , is that right?

    Cheers!
     
  14. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    IOS60 and IOS61 will be installed with Waninkoko's Firmware Updater 4.0. So, cIOS36 rev.8 -> WFU4.0. I'm also hearing rumors that the versions of IOS60 and IOS61 are not Trucha fixed. If this is the case, the LAST step would be to patch these ISO's using "ppc_gba's" installer/patcher. It can be downloaded here: http://www.yafaze.com/wii/4.0hacktools.rar


    [​IMG]
     
  15. Harry Potthead

    Harry Potthead GBAtemp Regular

    Member
    122
    0
    Jun 9, 2007
    Gambia, The

    So if I install cIOS36 rev.8 -> WFU4.0 (with IOS60 & 61) I can use HBC, Trucha fixed Games, Install and Erase Wad's etc. ? So if not I will stay to FW 3.2 [​IMG]
     
  16. GrAmS

    GrAmS Member

    Newcomer
    16
    0
    Oct 30, 2008
    France
    If you install the ios60-61 with this pack AFTER the waninkoko's updater it will not install ios60, just ios61.

    And so, the "illegal" VC/Wiiware can't be loaded by the SD channel.
     
  17. ramidavis

    ramidavis Advanced Member

    Newcomer
    92
    0
    Mar 26, 2009
    United States
    I have been hearing that wani's updater sometimes fails to patch IOS60/61 correctly. If i use this, and i find it is not patched afterwards properly, then what should i do??
     
  18. Bladexdsl

    Bladexdsl ZOMG my posts...it's over 9000!!!

    Member
    15,874
    3,540
    Nov 17, 2008
    Australia
    Queensland
    wans updater never works for me it always fails on ios38 content #15 error ret=1 fuck it must not work on Australian PAL
     
  19. TiMeBoMb4u2
    OP

    TiMeBoMb4u2 GBAtemp Maniac

    Member
    1,314
    206
    Oct 25, 2008
    United States
    You're saying that the patcher will not work for IOS60, after you run Waninkoko's installer?


    [​IMG]
     
  20. mk123a

    mk123a Advanced Member

    Newcomer
    70
    0
    Aug 19, 2006
    waninkoko's updater does not trucha patch ios 60. So you will need to manually install a patched ios 60 for moving installed wads to SD.